Bug 199012 - REGRESSION: ( r246394 ) webgpu/whlsl-buffer-fragment.html and webgpu/whlsl-buffer-vertex.html are failing
Summary: REGRESSION: ( r246394 ) webgpu/whlsl-buffer-fragment.html and webgpu/whlsl-bu...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGPU (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Justin Fan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-19 09:53 PDT by Truitt Savell
Modified: 2019-06-26 12:35 PDT (History)
15 users (show)

See Also:


Attachments
WIP (233.42 KB, patch)
2019-06-20 19:17 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (233.43 KB, patch)
2019-06-20 19:49 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Needs test harness update (233.70 KB, patch)
2019-06-20 23:33 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (239.03 KB, patch)
2019-06-21 14:42 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
fails tests (240.30 KB, patch)
2019-06-24 19:29 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (246.89 KB, patch)
2019-06-25 17:00 PDT, Myles C. Maxfield
sbarati: review+
Details | Formatted Diff | Diff
Patch for committing (246.94 KB, patch)
2019-06-25 18:31 PDT, Myles C. Maxfield
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (2.72 MB, application/zip)
2019-06-25 20:10 PDT, Build Bot
no flags Details
Patch for committing (246.55 KB, patch)
2019-06-25 20:13 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (246.62 KB, patch)
2019-06-25 20:22 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Truitt Savell 2019-06-19 09:59:44 PDT
Marked tests as failing in https://trac.webkit.org/changeset/246591/webkit
Comment 2 Radar WebKit Bug Importer 2019-06-19 10:02:36 PDT
<rdar://problem/51900620>
Comment 3 Saam Barati 2019-06-19 17:10:52 PDT
Why not mark this as flaky? They're only failing on high Sierra AFAIK
Comment 4 Ryan Haddad 2019-06-19 17:18:49 PDT
(In reply to Saam Barati from comment #3)
> Why not mark this as flaky? They're only failing on high Sierra AFAIK
Instead of flaky, we should mark them as failing specifically for High Sierra. Took care of that in https://trac.webkit.org/changeset/246619/webkit
Comment 5 Alexey Proskuryakov 2019-06-20 01:36:00 PDT
Is it High Sierra specific or GPU specific? I believe we use older hardware there.
Comment 6 Myles C. Maxfield 2019-06-20 08:53:42 PDT
Iā€™m in the process of checking now.
Comment 7 Myles C. Maxfield 2019-06-20 15:59:59 PDT
This bug is both High-Sierra AND GPU-specific. The test passes on this GPU on Mojave, and the test passes on High Sierra on other hardware.
Comment 8 Myles C. Maxfield 2019-06-20 19:17:29 PDT
Created attachment 372611 [details]
WIP
Comment 9 Myles C. Maxfield 2019-06-20 19:18:01 PDT
Assigning this to Justin to bring this across the finish line.
Comment 10 Myles C. Maxfield 2019-06-20 19:49:28 PDT
Created attachment 372613 [details]
WIP
Comment 11 Myles C. Maxfield 2019-06-20 23:33:35 PDT
Created attachment 372618 [details]
Needs test harness update
Comment 12 Justin Fan 2019-06-21 12:51:54 PDT
Comment on attachment 372618 [details]
Needs test harness update

View in context: https://bugs.webkit.org/attachment.cgi?id=372618&action=review

> Source/WebCore/platform/graphics/gpu/cocoa/GPUDeviceMetal.mm:44
> +    if (deviceName.startsWith("Intel(R) Iris(TM) Graphics "))

I'm sure we have more than one generation of MBP with Intel Iris graphics (Iris 5100, Iris 6100, Iris 540). Will this only affect the one(s)we're concerned about?

> Source/WebCore/platform/graphics/gpu/cocoa/GPUDeviceMetal.mm:48
> +    return false;

Is this line ever reached?

> LayoutTests/webgpu/bind-groups.html:10
> +    getBasicDevice().then(function(device) {

promise_test callback should return the promise created by .then().

> LayoutTests/webgpu/pipeline-layouts.html:25
> +    getBasicDevice().then(async function(device) {

ditto.
Comment 13 Myles C. Maxfield 2019-06-21 13:59:19 PDT
(In reply to Justin Fan from comment #12)
> Comment on attachment 372618 [details]
> Needs test harness update
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=372618&action=review
> 
> > Source/WebCore/platform/graphics/gpu/cocoa/GPUDeviceMetal.mm:44
> > +    if (deviceName.startsWith("Intel(R) Iris(TM) Graphics "))
> 
> I'm sure we have more than one generation of MBP with Intel Iris graphics
> (Iris 5100, Iris 6100, Iris 540). Will this only affect the one(s)we're
> concerned about?

AFAIK this is a driver problem, and all those GPUs share a driver. At least 5000 and 6100 share a driver. So I think we want to disallow the whole line.

> 
> > Source/WebCore/platform/graphics/gpu/cocoa/GPUDeviceMetal.mm:48
> > +    return false;
> 
> Is this line ever reached?
> 
> > LayoutTests/webgpu/bind-groups.html:10
> > +    getBasicDevice().then(function(device) {
> 
> promise_test callback should return the promise created by .then().
> 
> > LayoutTests/webgpu/pipeline-layouts.html:25
> > +    getBasicDevice().then(async function(device) {
> 
> ditto.
Comment 14 Myles C. Maxfield 2019-06-21 14:42:16 PDT
Created attachment 372652 [details]
Patch
Comment 15 Myles C. Maxfield 2019-06-24 19:29:40 PDT
Created attachment 372816 [details]
fails tests
Comment 16 Myles C. Maxfield 2019-06-25 17:00:08 PDT
Created attachment 372877 [details]
Patch
Comment 17 Saam Barati 2019-06-25 17:10:18 PDT
Comment on attachment 372877 [details]
Patch

r=me
Comment 18 Myles C. Maxfield 2019-06-25 18:31:55 PDT
Created attachment 372889 [details]
Patch for committing
Comment 19 Build Bot 2019-06-25 20:10:08 PDT
Comment on attachment 372889 [details]
Patch for committing

Attachment 372889 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12576755

New failing tests:
webgpu/whlsl-read-modify-write.html
webgpu/whlsl-use-undefined-variable.html
webgpu/whlsl-use-undefined-variable-2.html
Comment 20 Build Bot 2019-06-25 20:10:10 PDT
Created attachment 372896 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 21 Myles C. Maxfield 2019-06-25 20:13:02 PDT
Created attachment 372897 [details]
Patch for committing
Comment 22 Myles C. Maxfield 2019-06-25 20:22:14 PDT
Created attachment 372898 [details]
Patch for committing
Comment 23 Myles C. Maxfield 2019-06-26 12:35:36 PDT
Committed r246846: <https://trac.webkit.org/changeset/246846>